Subject: Re: bug#32207: 26.1; can't set window position with emacs 26.3

From: Elof Ofel <[email-masked]>
Date: Tue, 17 Dec 2019 16:00:49 +0000

This is not a contributon to the above discussion but another workaround than using
emacs --eval "(setq initial-frame-alist '((width . 40) (height . 20) (left . 400) (top . 400)))"

I too suffered exactly the same position/placement problem when I upgraded my Debian 9 to Debian 10, with my old fvwm-configuration that has worked for a decade.

My workaround is to use emacs-lucid instead of emacs-gtk.
In emacs-lucid the window placement is working fine.
Also, as a positive side-effect, the emacs-lucid window is updated at lightning speed when I switch desktops, while the emacs-gtk window is first updating the window and then re-draw the text in the frame, generating a very noticeable motion on the screen.